Bug 31331 - gftp loops and disconnects after file transfer interruption
gftp loops and disconnects after file transfer interruption
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gftp (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
priority.redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-09 22:36 EST by Bill McGonigal
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-10 09:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill McGonigal 2001-03-09 22:36:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


While using gftp to transfer large files, it is supposed to restart where 
it left off after a time-out or disconnect.  Instead it enters a "ping 
pong" action, where it tries to reconnect, almost immediately disconnects, 
then reconnects, etc., until the max number of retries is reached.

Reproducible: Always
Steps to Reproduce:
1.Start file download with gftp
2.Interrupt the file transfer
3.watch as it tries to restart
	

Actual Results:  it loops, (connects, disconnects, connects, disconnects, 
etc.)
It's interesting that there still appears to be a data transfer in 
progress....

Expected Results:  Should have restarted the file transfer where it left 
off.

I am on a slow 24k baud dial-up connection.
My ISP disconnects me after 1 hour.
Either a time-out, or an ISP disconnect, will cause me to lose the last 
hour of downloaded data when transferring a large file, unless gftp can 
restart the download.
Comment 1 Havoc Pennington 2001-07-12 14:54:19 EDT
This should be fixed in latest gftp, reopen if not.

Note You need to log in before you can comment on or make changes to this bug.